import RPi.GPIO as IO
import time
IO.setmode (IO.BCM)                  # Diesmal Verwenden wir GPIO-Nummern statt Pins
IO.setup(19,IO.OUT)                  # GPIO19 (PIN35) als Output definieren
p = IO.PWM(19,100)                   # GPIO19 als PWM-Objekt "p" mit 100Hz definieren.
p.start(0)                           # PWM-Signal von "p" mit 0% Duty Level starten
while 1:
    for x in range (100):            # Sub-Schleife 100mal durchlaufen
        p.ChangeDutyCycle(x)         # PWM-Signal von "p" / Helligkeit anpassen: x%
        time.sleep(0.02)             # 200ms Warten
    for x in range (100):            # Nach der ersten Subschleife beginnen wir eine zweite
        p.ChangeDutyCycle(100-x)     # Wir ziehen x von 100 ab, die Helligkeit verringert sich
        time.sleep(0.02)             # 200ms Warten
        
