import RPi.GPIO as GPIO
import time
GPIO.setmode(GPIO.BOARD)
LedPin = 24
GPIO.setup(LedPin, GPIO.OUT)
GPIO.output(LedPin, GPIO.LOW)
helligkeit = 0.0               # Starthelligkeit = 0
freq = 100.0                   # Gewuenschte Frequenz: 100Hz
while True:
    for x in range (20):       # Zyklus 20 mal wiederholen (0.2s)
        GPIO.output(LedPin, GPIO.HIGH)
        # Aus Frequenz und gewuenschter Helligkeit die An-Zeit berechnen:
        time.sleep((1.0/freq)*(helligkeit/100.0))
        GPIO.output(LedPin, GPIO.LOW)
        # Aus Frequenz und gewuenschter Helligkeit die Aus-Zeit berechnen:
        time.sleep((1.0/freq)*((100.0-helligkeit)/100.0))
    # Nachdem die LED 20mal im richtigen Verhaeltnis An und Aus geblickt wurde
    # erhoehen wir die gewuenschte Helligeit um 10 ...
    helligkeit += 1
    # Wenn wir bei 100% Helligkeit angekommen sind,
    # setzen wir die Helligkeit wieder auf 0 ...
    if (helligkeit >= 100):
        helligkeit = 0
    # ...und beginnen von vorn
        
